# Uses of Interface
org.w3c.dom.views.AbstractView

Packages that use AbstractView
Package
Description
org.w3c.dom.css
Provides interfaces for DOM Level 2 Style Specification.
org.w3c.dom.events
Provides interfaces for DOM Level 2 Events.
org.w3c.dom.views
Provides interfaces for DOM Level 2 Views.

## Uses of AbstractView in org.w3c.dom.css

Subinterfaces of AbstractView in org.w3c.dom.css
Modifier and Type
Interface
Description
`interface`
`ViewCSS`
This interface represents a CSS view.

## Uses of AbstractView in org.w3c.dom.events

Methods in org.w3c.dom.events that return AbstractView
Modifier and Type
Method
Description
`AbstractView`
UIEvent.`getView()`
The `view` attribute identifies the `AbstractView` from which the event was generated.
Methods in org.w3c.dom.events with parameters of type AbstractView
Modifier and Type
Method
Description
`void`
MouseEvent.`initMouseEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg, int screenXArg, int screenYArg, int clientXArg, int clientYArg, boolean ctrlKeyArg, boolean altKeyArg, boolean shiftKeyArg, boolean metaKeyArg, short buttonArg, EventTarget relatedTargetArg)`
The `initMouseEvent` method is used to initialize the value of a `MouseEvent` created through the `DocumentEvent` interface.
`void`
UIEvent.`initUIEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg)`
The `initUIEvent` method is used to initialize the value of a `UIEvent` created through the `DocumentEvent` interface.

## Uses of AbstractView in org.w3c.dom.views

Methods in org.w3c.dom.views that return AbstractView
Modifier and Type
Method
Description
`AbstractView`
DocumentView.`getDefaultView()`
The default `AbstractView` for this `Document`, or `null` if none available.